Luma
活動探索平台 — 活動、搜尋、行事曆、分類與地點。
- 活動:取得活動詳情或瀏覽城市活動
- 搜尋:在城市內搜尋活動
- 行事曆:瀏覽社群行事曆的活動
- 分類:列出所有活動分類
- 地點:取得城市/地點資訊
活動
GET /luma/events/:eventId — 2 點數
依 API ID 取得 Luma 活動。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
eventId | string | 是 | — | 活動 API ID(例如 evt-HcF3lY9ocKFrEuC) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/luma/events/evt-HcF3lY9ocKFrEuC回應
{
"id": "evt-HcF3lY9ocKFrEuC",
"url": "https://luma.com/dw0ocvt7",
"name": "Building a Better Social Media with Retro",
"coverUrl": "https://images.lumacdn.com/event-covers/ml/...",
"startAt": "2026-03-18T10:30:00.000Z",
"endAt": "2026-03-18T12:00:00.000Z",
"timezone": "Asia/Taipei",
"locationType": "offline",
"location": {
"type": "offline",
"address": "Taipei Municipal Stadium",
"city": "Songshan District",
"region": "Songshan District, Taipei City"
},
"guestCount": 50,
"ticketInfo": {
"isFree": true,
"price": null,
"isSoldOut": false,
"spotsRemaining": 20
},
"hosts": [
{
"id": "usr-abc",
"name": "Carter Wang",
"username": "carterwang",
"bio": "associate at 886 Studios"
}
],
"calendar": {
"id": "cal-YDazDmfi5UlPvrC",
"name": "886 Studios",
"slug": "886"
}
}GET /luma/places/:placeId/events — 2 點數
取得城市/地點的活動。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
placeId | string | 是 | — | 探索地點 ID(例如 discplace-fi7MDZq99wfKWfa) |
count | integer | 否 | 25 | 活動數量(最多 50) |
cursor | string | 否 | — | 分頁游標 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/luma/places/discplace-fi7MDZq99wfKWfa/events?count=10"回應
{
"events": [
{
"id": "evt-HcF3lY9ocKFrEuC",
"name": "Building a Better Social Media with Retro",
"startAt": "2026-03-18T10:30:00.000Z",
"guestCount": 50
}
],
"nextCursor": "eyJzdiI6...",
"hasMore": true
}搜尋
GET /luma/events/search — 2 點數
在城市/地點內搜尋活動。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
place_id | string | 是 | — | 探索地點 ID(城市) |
q | string | 是 | — | 搜尋關鍵字 |
count | integer | 否 | 25 | 結果數量(最多 50) |
cursor | string | 否 | — | 分頁游標 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/luma/events/search?place_id=discplace-fi7MDZq99wfKWfa&q=AI&count=10"行事曆
GET /luma/calendars/:calendarId/events — 2 點數
取得特定行事曆/社群的活動。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
calendarId | string | 是 | — | 行事曆 ID(例如 cal-YDazDmfi5UlPvrC) |
count | integer | 否 | 25 | 活動數量(最多 50) |
cursor | string | 否 | — | 分頁游標 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/luma/calendars/cal-YDazDmfi5UlPvrC/events?count=10"分類
GET /luma/categories — 1 點數
列出所有活動分類。
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/luma/categories回應
[
{
"id": "cat-tech",
"name": "Tech",
"slug": "tech",
"description": "Join a hackathon, jam on product design...",
"eventCount": 5477,
"subscriberCount": 29179
}
]地點
GET /luma/places/:placeId — 1 點數
依探索地點 ID 取得城市/地點資訊。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
placeId | string | 是 | — | 探索地點 ID |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/luma/places/discplace-fi7MDZq99wfKWfa回應
{
"id": "discplace-fi7MDZq99wfKWfa",
"name": "Taipei",
"slug": "taipei",
"description": "In Taipei, you can find events ranging from...",
"eventCount": 7,
"continent": "apac"
}